#ifndef STEREO_H
#define STEREO_H

#include <iostream>
#include <string.h>
#include <math.h>
#include <time.h>
#include "opencv2/opencv.hpp"

using namespace cv;
using namespace std;

typedef unsigned char 	u8;
typedef unsigned short	 u16;
typedef unsigned int	     u32;

typedef float float32;


#ifndef MIN
#define MIN(a,b)	((a)<(b)?(a):(b))
#endif

#ifndef MAX
#define MAX(a,b)	((a)>(b)?(a):(b))
#endif

#ifndef ABS
#define ABS(num)  	(((num)>0)?(num):-(num))
#endif

uchar hamDist16(ushort x, ushort y);
void   Census(uchar *left, uchar *right, int height, int width, int dispnum, u16 *dsi);

void TransposeDSI(int width, int height, int n_disp, u16 *dsiSrc, u16 *dsiDes);

#endif // STEREO_H

